Initiate associated parties KYC/KYB documents process
Header Parameters
The matchmove issued user_id for which the request is being made
The IP using which the actor is making the request
The unique id of the device using which the actor is making the request
The user agent of the device using which the actor is making the request
The actor on behalf of whom the API request is being performed
Path Parameters
Unique identifier for your program, issued by MatchMove during onboarding. All requests must use the program_code assigned to your integration. Using a program_code that does not belong to your integration will result in an authorization error.
Body Parameters
Fetched from the list of supported KYC/KYB providers of a program. If not provided, it will retrieve whatever is the default KYC/KYB set.
Specifies the verification flow to be initiated. Depending on the user type, the allowed values can be retrieved from the corresponding verification modes API:
| User Type | Verification Modes API |
|---|---|
| Individual | GET /{program_code}/v2/users/authentications/documents/verification_modes |
URL the user is redirected to after completing the verification flow. If not provided, no redirection will happen.
Controls how the redirect to the verification flow is triggered. Use auto to redirect the user automatically, or button to require the user to click a button before being redirected. If not provided, default is auto.
autobuttonLabel displayed on the redirect button when redirect_mode is button. If not provided, the default text will be Close.
Response
OK
Response Attributes
Array of Web SDK links and metadata for initiating the verification flow
Show child attributes
Indicates whether the verification process was successfully initiated
Unique identifier of the user / associated party
Unique identifier of the verification process
Verification mode for the current verification session.
Bad Request
Code | Description |
invalid_model | Validation errors |
alreadycompletedverification | The profile has already completed the kyc verification |
stillinprogress_verification | The profile has an ongoing check for kyc verification |
pending_verification | The profile is already pending for confirming verification |
verificationrequestrejected | Invalid verification mode specified |
Response Attributes
Unique request ID for the API request
HTTP response code for the API request
MatchMove generated error code for the API request
MatchMove generated title for the error code
Details for the error code
Details for the error code
Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons
Show child attributes
Timestamp for the processed API
Unauthorized
Code | Description |
invalid_tenant | Access denied due to invalid program_code on header |
Response Attributes
Unique request ID for the API request
HTTP response code for the API request
MatchMove generated error code for the API request
MatchMove generated title for the error code
Details for the error code
Details for the error code
Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons
Show child attributes
Timestamp for the processed API
Forbidden
Code | Description |
entityverificationprerequisites_incomplete | The prerequisites to initiate verification for this entity have not been satisfied. Please initiate verification for the parent entity before proceeding |
associatedpartystatus_restricted | Associated party data cannot be created or modified while CDD verification is in progress |
Response Attributes
Unique request ID for the API request
HTTP response code for the API request
MatchMove generated error code for the API request
MatchMove generated title for the error code
Details for the error code
Details for the error code
Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons
Show child attributes
Timestamp for the processed API
Not Found
Response Attributes
Unique request ID for the API request
HTTP response code for the API request
MatchMove generated error code for the API request
MatchMove generated title for the error code
Details for the error code
Details for the error code
Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons
Show child attributes
Timestamp for the processed API
Unprocessable Entity
Code | Description |
associatedpartyeligibility_failed | Associated party is not eligible for the requested verification mode |
verificationmodechangenotallowed | verification mode cannot be changed while verification is in progress |
verificationstatusrestricted | Verification data cannot be modified once CDD verification has started |
Response Attributes
Unique error identifier
HTTP status code
Error code identifier
Error title
Detailed error description
List of field-specific error sources
Show child attributes
Show child attributes
Error timestamp
Internal Server Error
Code | Description |
requestfatalinternal | Fatal service error |
internalservererror | Something went wrong when processing your request |
Response Attributes
Unique request ID for the API request
HTTP response code for the API request
MatchMove generated error code for the API request
MatchMove generated title for the error code
Details for the error code
Details for the error code
Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons
Show child attributes
Timestamp for the processed API
Bad Gateway
Response Attributes
Unique request ID for the API request
HTTP response code for the API request
MatchMove generated error code for the API request
MatchMove generated title for the error code
Details for the error code
Details for the error code
Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons
Show child attributes
Timestamp for the processed API
Service Unavailable
Response Attributes
Unique request ID for the API request
HTTP response code for the API request
MatchMove generated error code for the API request
MatchMove generated title for the error code
Details for the error code
Details for the error code
Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons
Show child attributes
Timestamp for the processed API
Gateway Timeout
Response Attributes
Unique request ID for the API request
HTTP response code for the API request
MatchMove generated error code for the API request
MatchMove generated title for the error code
Details for the error code
Details for the error code
Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons
Show child attributes
Timestamp for the processed API